package bin;

import bin.changeName.AdaptFileNames;
import java.io.File;
import java.io.IOException;

public class AdjustFileOrFolderPosition{
	static String oldPlace;
	static String newPlace;
	
	static File movedFile;

	public static void main(String[] args){
		try{
			moveToNewFolder(args[0]);
			moveToOldFolder();
		}catch(IOException e){
			e.printStackTrace();
		}
	}
	
	public static String moveToNewFolder(String fileName) throws IOException{
		AdaptFileNames.stopOutput();
		oldPlace = fileName;
		movedFile = new File(oldPlace);
		
		if(movedFile.exists()){
			String oldName = movedFile.getName();
			
			String folderName = AdaptFileNames.changeString(movedFile.getName());
			newPlace = oldPlace.substring(0,oldPlace.indexOf(movedFile.getName()));
			newPlace += folderName;
			System.out.println(newPlace);
			
			File newFolder = new File(newPlace);
			if(!newFolder.exists()){
				newFolder.mkdir();
			}
			movedFile.renameTo(new File(newPlace+"\\"+movedFile.getName()));
		}
		AdaptFileNames.generateOutput();
		return newPlace;
	}
	
	public static void moveToOldFolder() throws IOException{
		String fileName = movedFile.getName();
		File file = new File(newPlace+"\\"+fileName);
		if(oldPlace != null && movedFile != null){
			file.renameTo(new File(oldPlace));
		}
		File newFile = new File(newPlace);
		File[] files = newFile.listFiles();
		if(files.length==0){
			newFile.delete();
		}	
	}

}