package bin;

import java.io.File;
import bin.FileListMaker;
import bin.runPrograms.*;
import bin.changeName.AdaptFileNames;
import bin.parser.*;

public class Main{

	static String CHANGES_FILE = "changes.txt";
	
	public static void main(String[] args){
		if(args.length <1){
			System.out.println("Error: Top-most folder or file must be specified");
		}else{	
			String topMost = "";
			String droidHome = "";
			String changesFile = "";
			for(int i=0; i<args.length; i++){
				
				if(args[i].equals("-d")){
					i++;
					if(i<args.length){
						droidHome = args[i];
					}
				}else if(args[i].equals("-c")){
					i++;
					if(i<args.length){
						CHANGES_FILE = args[i];
					}
				}else if(args[i].equals("..")){
					i++;
					if(args[i].charAt(1)==':'){  //if the fileName is already absolute
						topMost = args[i];
					}else{
						if(topMost.charAt(topMost.length()-1)!='\\' && args[i].charAt(0)!='\\'){
							topMost += "\\";
						}
						topMost += args[i];  //if the fileName was not absolute
					}
				}else{
					if(i>0){
					topMost +=" ";
					}
				topMost += args[i];
				}
			}
			try{
				System.out.println("Adjusting File System Names...");
				System.out.println("");
				AdaptFileNames.adaptFileSystem(topMost, CHANGES_FILE);
			}catch(Exception e){
				e.printStackTrace();
			}
			
			/*System.gc();
			
			try{
				System.out.println("Creating File list...\n");
				FileListMaker.makeFileList(topMost);
			}catch(Exception e){
				e.printStackTrace();
			}
			
			
			System.gc();
			
			try{
				System.out.println("Running Droid...\n");
				runDroid.scanWithDroid(topMost+"_fileList.xml", topMost+"_DROIDOut", droidHome);
			}catch(Exception e){
				e.printStackTrace();
			}
			
			
			System.gc();
			
			try{
				System.out.println("Running Jhove...\n");
				runJhove.scanWithAllJhoveModules(topMost);
			}catch(Exception e){
				e.printStackTrace();
			}
			
			
			System.gc();
			
			try{
				System.out.println("Parsing Droid Output...\n");
				DroidParser.processFile(topMost);
			}catch(Exception e){
				e.printStackTrace();
			}
			
			try{
				System.out.println("Parsing Jhove Output...\n");
				JhoveParser.parseSetOfJhoveOutput(topMost);
			}catch(Exception e){
				e.printStackTrace();
			}
			
			try{
				System.out.println("Printing Warnings...\n");
				PrintWarnings.setUpFilesAndPrint(topMost);
			}catch(Exception e){
				e.printStackTrace();
			}
			
			try{
				System.out.println("Printing File Types...\n");
				PrintFileTypes.setUpFilesAndPrint(topMost);
			}catch(Exception e){
				e.printStackTrace();
			}*/			
		}
		
	}
}