/**************************************************
*	Warnings.java
* 	A data structure for storing warnings with a filepath
*
* 	Written by Jacob Bartel
************************************************/
package bin.parser;

import java.util.ArrayList;


public class Warnings{
	private String filePath;
	private ArrayList warnings = new ArrayList();
	
	public void setFilePath(String filePath){
		this.filePath = filePath;
	}
	
	public String getFilePath(){
		return filePath;
	}
	
	public void addWarning(String warning){
		warnings.add(warning);
	}
	
	public ArrayList getWarnings(){
		return warnings;
	}

}